Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159791 - radeon power saving for 2373-HU6
Summary: radeon power saving for 2373-HU6
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-07 23:57 UTC by David Zeuthen
Modified: 2015-01-04 22:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-04 23:25:00 UTC


Attachments (Terms of Use)

Description David Zeuthen 2005-06-07 23:57:21 UTC
Hey, I followed the description at 

 http://www.livejournal.com/users/pjones_code/400.html

and put the radeon_force_sleep in modprobe.conf. With this, this script

 http://thinkwiki.org/wiki/ACPI_sleep_power_drain_test_script

says

 Tue Jun  7 19:28:00 EDT 2005
 before: 21680 mWh
 after: 21410 mWh
 diff: -270 mWh
 seconds: 1239 sec
 result: -784 mW
 Congratulations, your model seems NOT to be affected.

which is sweet. Please add

+	{
+		/* Reported by David Zeuthen <davidz@redhat.com> */
+		.ident = "IBM ThinkPad T41 (2373-HU6)",
+		.matches = {
+			DMI_MATCH(DMI_SYS_VENDOR, "IBM"),
+			DMI_MATCH(DMI_PRODUCT_NAME, "2373HU6"),
+		},
+	},

to linux-2.6.11-radeon-backlight.patch. Thanks!

Comment 1 Warren Togami 2005-06-08 02:36:44 UTC
Sweet, this is my model too.  I tested it this morning and it is working great.

Comment 2 Dave Jones 2005-06-09 03:32:14 UTC
I'm puzzled. The script say its not affected, why does it need adding ?


Comment 3 Warren Togami 2005-06-09 06:00:18 UTC
I am not sure what that script does, but testing both with and without this
radeonfb thing is a difference of 5000 to 1000 mWh power consumption in one hour
of sleeping.  It is proven beneficial on this model.


Comment 4 David Zeuthen 2005-06-09 14:38:41 UTC
In response to comment 2: The script was run with radeon_force_sleep=1. Without
that option the power consumption is about 5000 rather than 784. With the
white-list entry I posted we don't need the option :-)

Comment 5 Dave Jones 2005-07-05 20:10:09 UTC
fixed in CVS, will be in tomorrows build.



Note You need to log in before you can comment on or make changes to this bug.